> ## Documentation Index
> Fetch the complete documentation index at: https://doc.haipay.net/llms.txt
> Use this file to discover all available pages before exploring further.

# 退款查询

> 发起退款的订单的结果查询

<div class="flex flex-col gap-4">
  <div class="api-section-heading flex flex-col gap-y-4 w-full">
    <div class="flex items-baseline border-b pb-2.5 border-gray-100 dark:border-gray-800 w-full">
      <h4 class="api-section-heading-title flex-1 mb-0">密钥私钥(生成签名)</h4>
    </div>

    <div />
  </div>

  <input id="secret-key" placeholder="密钥" class="px-3 py-2 border rounded-md" />

  <input id="private-key" placeholder="私钥" class="px-3 py-2 border rounded-md" />
</div>

## 相关主题

* [国际信用卡(VISA/MASTER)支付接口](/docs/zh/api/version2/creditcard)
* [HaiPay API 文档简介](/docs/zh/api-reference/overview)
* [HaiPay 配置与签名指南](/docs/zh/guide/config_settings_and_signature_rules_guide)


## OpenAPI

````yaml docs/zh/api-reference/card/card.openapi.json POST /usd/refund/refundQuery
openapi: 3.0.1
info:
  title: 默认模块
  description: ''
  version: 1.0.0
servers:
  - url: https://uat-interface.haipay.asia
    description: 测试-interface
security: []
tags: []
paths:
  /usd/refund/refundQuery:
    post:
      tags: []
      summary: 信用卡退款查询
      description: 发起退款的订单的结果查询
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                appId:
                  type: integer
                  description: 业务ID（后台获取，需要根据URL中的币种传递对应的业务ID）
                orderId:
                  type: string
                  description: 商户退款申请订单号
                refundNo:
                  type: string
                  description: 平台退款单号（申请退款返回的平台单号，如果有值优先查询此字段）
                sign:
                  type: string
                  description: 签名
              required:
                - appId
                - sign
              additionalProperties: false
            examples: {}
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: 状态码
                  error:
                    type: string
                    description: 错误码
                  msg:
                    type: string
                    description: 消息
                  data:
                    type: object
                    properties:
                      appId:
                        type: string
                        description: 商户订单号(必须保证唯一性)
                      orderNo:
                        type: string
                        description: 平台订单号(原代收返回的平台单号)
                      orderId:
                        type: string
                        description: 商户申请订单号
                      refundNo:
                        type: string
                        description: 平台退款单号
                      status:
                        type: string
                        description: 退款状态，1表示退款申请成功，0表示处理中，2表示失败，退款结果以此状态为准
                      errorMsg:
                        type: string
                        description: 错误信息，不一定有值
                      sign:
                        type: string
                        description: 签名
                    additionalProperties: false
                additionalProperties: false
          headers: {}
      deprecated: false
      security: []

````